gcc-4.7 missing and cannot be installed? Here's what to do.

Welcome Page Forums RetroPie Project Everything else related to the RetroPie Project gcc-4.7 missing and cannot be installed? Here's what to do.

This topic contains 1 reply, has 1 voice, and was last updated by  YaGottaEat 2 years, 9 months ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #51469
    Profile photo of apedroid
    apedroid
    Participant

    I’m not 100% sure what caused gcc-4.7 to be removed from my Retropie setup but I think it might have been the “apt-get dist-upgrade” I ran. Anyway, if you’re reading this you probably in the same situation.

    gcc-4.7 is gone and retropie_setup.sh refuses to run without it. Any manual attempt to reinstall it have failed and you’re about to give up. DON’T!

    The fix is easy. Edit the retropie_packages.sh script and replace all 4.7 references with 4.8 (I think there’s three places you need to change).

    Re-run the retropie_setup.sh and it will install gcc-4.8 and g++-4.8 and you’re good to go.

    I only tried registering a new RetroArch controller so I can’t promise nothing else got broken but for me that was all I needed to do right now.

    #53906

    YaGottaEat

    You are a saint. I was just about ready to re-burn the RetroPie disc image and start from scratch.

    Wonderful!!!

Viewing 2 posts - 1 through 2 (of 2 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar